Skip to main content
PATCH
Add/Update Individual Information

Authorizations

x-api-key
string
header
required

Path Parameters

subaccountId
string<uuid>
required

The unique identifier of the subaccount

Body

application/json
first_name
string
middle_name
string | null
last_name
string
phone
string

Phone number of the customer. Must be in E.164 format (e.g., +2348012345678)

address
object
birth_date
string<date>

Must be formatted as YYYY-MM-DD

gender
string
nationality
string

three-letter ISO 3166-1 code for the country (e.g., "NGA" for Nigeria). See ISO 3166-1

birth_country
string

two-letter ISO 3166-1 alpha-2 code for the country (e.g., "DE").

account_purpose
enum<string>
Available options:
CHARITABLE_DONATIONS,
ECOMMERCE_RETAIL_PAYMENTS,
INVESTMENT_PURPOSES,
OPERATING_A_COMPANY,
OTHER,
PAYMENTS_TO_FRIENDS_OR_FAMILY_ABROAD,
PERSONAL_OR_LIVING_EXPENSES,
PROTECT_WEALTH,
PURCHASE_GOODS_AND_SERVICES,
RECEIVE_PAYMENT_FOR_FREELANCING,
RECEIVE_SALARY
account_purpose_other
string | null
employment_status
enum<string>
Available options:
EMPLOYED,
HOMEMAKER,
RETIRED,
SELF_EMPLOYED,
STUDENT,
UNEMPLOYED
expected_monthly_payments_usd
enum<string>
Available options:
UP_TO_4999,
FROM_5000_TO_9999,
FROM_10000_TO_49999,
FROM_50000
expected_monthly_volume_usd
string
acting_as_intermediary
boolean
most_recent_occupation
string

Fetch from occupation endpoint: /api-reference/verification/get-occupations

source_of_funds
enum<string>
Available options:
company_funds,
ecommerce_reseller,
gambling_proceeds,
gifts,
government_benefits,
inheritance,
investments_loans,
pension_retirement,
salary,
sale_of_assets_real_estate,
savings,
someone_elses_funds
source_of_funds_description
string
identifying_information
object[]

Array of identification documents. See Accepted ID Documents by Country for country-specific requirements.

Response

200 - application/json

Customer information updated successfully

status
string
created_at
string<date-time>
updated_at
string<date-time>
type
string
first_name
string
middle_name
string | null
last_name
string
phone
string
address
object
birth_date
string<date-time>
gender
string
nationality
string
birth_country
string
documents
object[]
account_purpose
string
account_purpose_other
string | null
employment_status
string
expected_monthly_payments_usd
string
expected_monthly_volume_usd
string
acting_as_intermediary
boolean
most_recent_occupation
string

Fetch from occupation endpoint: /api-reference/verification/get-occupations

source_of_funds
enum<string>
Available options:
company_funds,
ecommerce_reseller,
gambling_proceeds,
gifts,
government_benefits,
inheritance,
investments_loans,
pension_retirement,
salary,
sale_of_assets_real_estate,
savings,
someone_elses_funds
source_of_funds_description
string
identifying_information
object[]

Array of identification documents. See Accepted ID Documents by Country for country-specific requirements.